using System;

namespace Web.YUI
{
    public enum YahooScript
    {
        [YahooAsset("animation/animation")]
        Animation,
        [YahooAsset("autocomplete/autocomplete")]
        AutoComplete,
        [YahooAsset("button/button-beta")]
        Button,
        [YahooAsset("calendar/calendar")]
        Calendar,
        [YahooAsset("connection/connection")]
        Connection,
        [YahooAsset("container/container")]
        Container,
        [YahooAsset("datasource/datasource-beta")]
        DataSource,
        [YahooAsset("datatable/datatable-beta")]
        DataTable,
        [YahooAsset("dom/dom")]
        Dom,
        [YahooAsset("dragdrop/dragdrop")]
        DragDrop,
        [YahooAsset("element/element-beta")]
        Element,
        [YahooAsset("event/event")]
        Event,
        [YahooAsset("history/history-experimental")]
        History,
        [YahooAsset("logger/logger")]
        Logger,
        [YahooAsset("menu/menu")]
        Menu,
        [YahooAsset("slider/slider")]
        Slider,
        [YahooAsset("tabview/tabview")]
        TabView,
        [YahooAsset("treeview/treeview")]
        TreeView,
        [YahooAsset("utilities/utilities")]
        Utilities,
        [YahooAsset("yahoo/yahoo")]
        Yahoo,
        [YahooAsset("yahoo-dom-event/yahoo-dom-event", AvailableTypes = ScriptType.Standard)]
        Yahoo_Dom_Event,
        [ResourceAsset("Web.YUI.Scripts.SetHiddenSelectedDates.js", "Web.YUI")]
        CalendarSave,
        [ResourceAsset("Web.YUI.Scripts.ResizePanel.js", "Web.YUI")]
        ResizePanel,
        [ResourceAsset("Web.YUI.Scripts.PanelEffect.js", "Web.YUI")]
        PanelEffects
    }
}