using System;

namespace Web.YUI
{
    public class MenuItemCollection : StateManagedCollection<MenuItem>
    {
        #region Fields

        private MenuItem owner = null;

        #endregion

        #region Constructor

        public MenuItemCollection()
        {
        }

        internal MenuItemCollection(MenuItem owner)
            : this()
        {
            this.owner = owner;
        }

        #endregion

        #region Properties

        internal MenuItem Owner
        {
            get { return owner; }
        }

        #endregion
    }
}