#region Using Directives

using System;
using System.Collections.Generic;

#endregion

namespace Web.YUI
{
    public class ResourceAssetAttribute : Attribute
    {
        #region Fields

        private string resource;
        private string assembly;

        #endregion

        #region Constructors

        public ResourceAssetAttribute(string resource, string assembly)
        {
            this.resource = resource;
            this.assembly = assembly;
        }

        #endregion

        #region Properties

        public string Resource
        {
            get { return resource; }
            set { resource = value; }
        }

        public string Assembly
        {
            get { return assembly; }
            set { assembly = value; }
        }

        #endregion
    }
}