using System;
using System.Collections.Generic;
using System.Text;
using System.Web;

namespace Web.YUI
{
    public class Script : StateManagedItem
    {
        #region Properties

        public string Path
        {
            get
            {
                object o = ViewState["Path"];
                return o == null ? String.Empty : (string)o;
            }
            set { ViewState["Path"] = value; }
        }

        public string RenderedScriptTag
        {
            get
            {                
                Uri uri = new Uri(Path, UriKind.RelativeOrAbsolute);
                return String.Format("\n<script src=\"{0}\" type=\"text/javascript\"></script>\n", uri.IsAbsoluteUri ? Path : VirtualPathUtility.ToAbsolute(Path));
            }
        }

        #endregion
    }
}