#region Using Directives

using System;
using System.Text;
using System.Reflection;
using System.IO;

#endregion

namespace Web
{
    class ResourceHelper
    {
        #region ResourceToString

        public static string ResourceToString(string resourceName, string assembly)
        {
            Assembly a = Assembly.GetExecutingAssembly();
            if (!String.IsNullOrEmpty(assembly))
            {
                a = Assembly.Load(assembly);
            }

            return ResourceToString(resourceName, a);
        }

        public static string ResourceToString(string resourceName, Assembly assembly)
        {
            Stream resourceStream = assembly.GetManifestResourceStream(resourceName);
            StreamReader sr = new StreamReader(resourceStream);
            string s = sr.ReadToEnd();
            resourceStream.Close();
            sr.Close();
            return s;
        }

        #endregion
    }
}
