#region Using Directives

using System;
using System.Collections.Generic;

#endregion

namespace Web.YUI
{
    public class YahooAssetAttribute : Attribute
    {
        #region Fields

        private string path;
        private int index = 0;
        private ScriptType availableTypes = ScriptType.Standard | ScriptType.Debug | ScriptType.Minified;

        #endregion

        #region Constructors

        public YahooAssetAttribute(string path)
        {
            this.path = path;
        }

        #endregion

        #region Properties

        public string Path
        {
            get { return path; }
            set { path = value; }
        }

        public int Index
        {
            get { return index; }
            set { index = value; }
        }

        public ScriptType AvailableTypes
        {
            get { return availableTypes; }
            set { availableTypes = value; }
        }

        #endregion
    }
}