#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI.WebControls;

#endregion

namespace Web.YUI
{
    public abstract class YahooControl : CompositeControl, IYahooControl
    {
        #region IYahooControl Members

        public abstract string LoadScript { get; }
        public abstract YahooScript[] ScriptDependencies { get; }
        public abstract YahooStyleSheet[] StyleDependencies { get; }
        
        #endregion

        protected virtual DelimitedList<string> BuildOptions()
        {
            return new DelimitedList<string>(", ");
        }
    }
}