#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Web.YUI
{
    public class EventExtender : YahooControl
    {
        #region Properties

        public string ControlID
        {
            get
            {
                object o = ViewState["ControlID"];
                return o == null ? String.Empty : (string)o;
            }
            set { ViewState["ControlID"] = value; }
        }

        public string EventName
        {
            get
            {
                object o = ViewState["EventName"];
                return o == null ? String.Empty : (string)o;
            }
            set { ViewState["EventName"] = value; }
        }

        public string Handler
        {
            get
            {
                object o = ViewState["Handler"];
                return o == null ? String.Empty : (string)o;
            }
            set { ViewState["Handler"] = value; }
        }

        public string Tag
        {
            get
            {
                object o = ViewState["Tag"];
                return o == null ? String.Empty : (string)o;
            }
            set { ViewState["Tag"] = value; }
        }

        #endregion

        #region IYahooControl Members

        public override string LoadScript
        {
            get { return String.Empty; }
        }

        public override YahooScript[] ScriptDependencies
        {
            get { return new YahooScript[] { YahooScript.Yahoo_Dom_Event }; }
        }

        public override YahooStyleSheet[] StyleDependencies
        {
            get { return null; }
        }

        #endregion
    }
}